#
# Sets up basic PAM configuration, separated out from the original kerberos
# configuration.

# Basic class, for most systems.
class base::pam {
    case $operatingsystem {
        redhat: { include base::pam::redhat }
        debian: { include base::pam::debian }
        ubuntu: { include base::pam::debian }
    }
}

# Allows access to all users with a SUNet ID.  Mostly for timeshares and such.
class base::pam::ldap inherits base::pam {
    case $operatingsystem {
        redhat: { include base::pam::redhat::ldap }
        debian: { include base::pam::debian::ldap }
        ubuntu: { include base::pam::debian::ldap }
    }
}